## wayland 1.18.0

=== meson_options.txt ===
option('libraries',
  description: 'Compile Wayland libraries',
  type: 'boolean',
  value: 'true')
option('documentation',
  description: 'Build the documentation (requires Doxygen, dot, xmlto, xsltproc)',
  type: 'boolean',
  value: 'true')
option('dtd_validation',
  description: 'Validate the protocol DTD (requires libxml2)',
  type: 'boolean',
  value: 'true')
option('icon_directory',
  description: 'Location used to look for cursors (defaults to ${datadir}/icons if unset)',
  type: 'string',
  value: '')

## wayland 0.95.0

=== debian/changelog ===
wayland (0.95.0-0ubuntu1) quantal; urgency=low

  * Merge from unreleased debian git, remaining changes
    - debian/gbp.conf:
      Point to ubuntu and upstream-ubuntu branches; use pristine-tar
    - debian/rules:
      Switch the gentarball target to generate tarball from upstream-ubuntu.
  * Drop lintian overrides, get more in sync with the Debian packaging.
  * Drop Replaces/Conflicts against the old package names, not needed
    anymore.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 16 Aug 2012 14:52:50 +0300

wayland (0.95.0-1) UNRELEASED; urgency=low

  * New upstream release.
  * Migrate to multiarch.
  * copyright: Refresh.
  * control: Update Standards-Version to 3.9.3, no changes.
  * rules: Make it non-fatal to fail the tests, which don't all succeed
    when ran in headless mode.
  * rules: Drop the creation of hard dependencies, wayland should be
    mostly API stable now.
  * rules: Drop dh_auto_install override.  dh_auto_install automatically
    installs to debian/tmp whenever there are multiple binary packages.
  * libwayland*.install: Add missing files.
  * rules: Temporarily disable installing the protocol docs, decide where
    to put them first.
  * Add README.source
  * Switch to source format 3.0 (quilt) due to the xz tarball.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 16 Aug 2012 13:04:41 +0300

wayland (0.85.0-2) unstable; urgency=low

  * Upload to unstable.
  * Wayland/Weston aren't quite ready to replace Xorg yet, but let's
    upload those to unstable anyway, so that people can find out by
    themselves. On the plus side, mesa can stop getting wayland support
    enabled in experimental, then disabled back when uploaded to unstable.
  * Update long description, wayland-demos got replaced by weston.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 29 Apr 2012 22:34:18 +0200

wayland (0.85.0-1ubuntu2) precise; urgency=low

  * rules: Drop the creation of hard dependencies, wayland should be
    (almost) API stable now.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sat, 17 Mar 2012 18:05:55 +0200

wayland (0.85.0-1ubuntu1) precise; urgency=low

  * Merge from Debian experimental. For the remaining changes see
    the changelog entry from 0.1.0~2-1ubuntu1.
  * Drop COPYING.GPL-2, the project uses MIT/X11 license for the most
    part, the rest is explained in debian/copyright.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 23 Feb 2012 11:55:38 +0200

wayland (0.85.0-1) experimental; urgency=low

  * First upstream release:
    - http://article.gmane.org/gmane.comp.freedesktop.wayland.devel/1770
  * Update watch file, even if that's only useful for notifications:
    upstream releases xz tarballs, and the 1.0 source format only suports
    gz.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 10 Feb 2012 11:51:36 +0100

wayland (0.1.0~2-1ubuntu1) precise; urgency=low

  * Merge from debian-experimental. Changes:
  * debian/rules:
    - Switch the gentarball target to generate tarball from upstream-ubuntu.
  * debian/control:
  * debian/libwayland0.install:
  * debian/libwayland-dev.install:
  * debian/compat:
    - Switch to compat 9 and build for multiarch.
  * debian/source.lintian-overrides:
    - Silence lintian's warning that compat 9 is subject to change.  We know.
  * debian/wayland.lintian-overrides:
    - Rename to libwayland0.lintian-overrides and fix contents to refer to
      the actual package these overrides apply to.  Package-name-is-not-SONAME
      warning is now successfully suppressed.
  * debian/rules:
    - Drop dh_auto_install override.  dh_auto_install automatically installs to
      debian/tmp whenever there are multiple binary packages.
  * debian/gbp.conf:
    - Point to ubuntu and upstream-ubuntu branches; use pristine-tar
  * Add COPYING.GPL-2 to satisfy the final requirement for main inclusion.

 -- Robert Hooker <sarvatt@ubuntu.com>  Mon, 30 Jan 2012 18:11:15 -0500

wayland (0.1.0~2-1) experimental; urgency=low

  * New upstream snapshot.
  * Update symbols file.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 30 Jan 2012 22:37:54 +0100

wayland (0.1.0~1-1) experimental; urgency=low

  * New upstream snapshot.
  * Update symbols file.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 23 Dec 2011 14:45:10 +0100

wayland (0.1.0~0.2-0ubuntu3) oneiric; urgency=low

  * debian/control:
    - libwayland should be Arch:any.  There's no reason it can't work on PPC,
      and this means I don't have to special-case mesa for !armel !i386 !amd64.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 08 Aug 2011 17:22:14 +1000

wayland (0.1.0~0.2-0ubuntu2) oneiric; urgency=low

  * Add COPYING.GPL-2 to satisfy the final requirement for main inclusion.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 05 Aug 2011 16:34:55 +1000

wayland (0.1.0~0.2-0ubuntu1) oneiric; urgency=low

  * Update to newer snapshot, to eb13ae17 from July 27, 2011
  * debian/rules:
    - Switch the gentarball target to generate tarball from upstream-ubuntu.
  * debian/libwayland0.symbols:
    - Add extra symbols in new snapshot.
  * debian/control:
  * debian/libwayland0.install:
  * debian/libwayland-dev.install:
  * debian/compat:
    - Switch to compat 9 and build for multiarch.
  * debian/source.lintian-overrides:
    - Silence lintian's warning that compat 9 is subject to change.  We know.
  * debian/wayland.lintian-overrides:
    - Rename to libwayland0.lintian-overrides and fix contents to refer to
      the actual package these overrides apply to.  Package-name-is-not-SONAME
      warning is now successfully suppressed.
  * debian/rules:
    - Drop dh_auto_install override.  dh_auto_install automatically installs to
      debian/tmp whenever there are multiple binary packages.
  * debian/gbp.conf:
    - Point to ubuntu and upstream-ubuntu branches; use pristine-tar
  
 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 04 Aug 2011 16:45:00 +1000

wayland (0.1.0~0.1-0ubuntu1) oneiric; urgency=low



=== debian/control ===
Source: wayland
Section: x11
Priority: optional
Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>
Build-Depends:
 debhelper (>= 9),
 quilt,
 dh-autoreconf,
 pkg-config,
 libexpat1-dev,
 libffi-dev,
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-xorg/wayland/wayland
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/wayland/wayland.git

Package: libwayland0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: wayland compositor infrastructure - shared libraries
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This is an experimental library package, neither ABI or API are fixed
 right now. As a consequence, generated dependencies are made as
 strict as possible. It should only be used by mesa and weston for
 the time being.

Package: libwayland0-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libwayland0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: wayland compositor infrastructure - shared libraries (debug)
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package contains the debug version of the libraries found in
 libwayland0. Non-developers likely have little use for this package.

Package: libwayland-dev
Section: libdevel
Architecture: any
Priority: extra
Depends:
 libwayland0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: wayland compositor infrastructure - development files
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package contains the development headers for the libraries found
 in libwayland0. Non-developers likely have little use for this package.

=== debian/rules ===
#!/usr/bin/make -f

SOURCE=wayland
PACKAGE=libwayland0

# Kill *.la files, and forget no-one:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	# temporary, decide where to put these
	rm -rf debian/tmp/usr/share/doc/wayland
	dh_install --fail-missing

# Debug package:
override_dh_strip:
	dh_strip --dbg-package=$(PACKAGE)-dbg

override_dh_auto_test:
	# the test suite does not pass completely in headless mode
	dh_auto_test || true

%:
	dh $@ --with quilt,autoreconf --builddirectory=build/

# For maintainer use only, generate a tarball:
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	git archive --format=tar upstream-ubuntu --prefix=$(SOURCE)-$(UV)/ | gzip -9 > ../$(SOURCE)_$(UV).orig.tar.gz

## wayland 1.4.0

=== debian/changelog ===
wayland (1.4.0-1ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: heap overflows when parsing malicious files
    - debian/patches/CVE-2017-16612.patch: add checks to cursor/xcursor.c.
    - CVE-2017-16612

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 08 Mar 2018 12:22:46 +0100

wayland (1.4.0-1ubuntu1) trusty; urgency=low

  * debian/control:
    - provide a transitional libwayland0 package to help apt calculate the
      upgrade (LP: #1304365)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 08 Apr 2014 17:14:12 +0200

wayland (1.4.0-1) unstable; urgency=medium

  * New upstream release 1.4.0:
    - SHM Buffer SIBGUS protection.
    - Subsurfaces protocol moved to wayland repo and promoted to official
      wayland protocol
    - wl_proxy_set_queue() can take a NULL queue to reset back to default
      queue.
    - Fix race between wl_proxy_create() and wl_proxy_marshal()
    - scanner error message improvements and documentation improvements
  * d/control: Further bump the libwayland0 C/R to cover Collabora version.
    Thanks Peter Green for patch.
    (Closes: #731607)
  * d/control: update standards version

 -- Hector Oron <zumbi@debian.org>  Thu, 30 Jan 2014 23:49:42 +0100

wayland (1.3.92-1) unstable; urgency=medium

  * New upstream release (1.3.92)
  * d/libwayland-dev.install:
     - add wayland DTD and XML under default dtddir.

 -- Hector Oron <zumbi@debian.org>  Sat, 18 Jan 2014 18:16:17 +0100

wayland (1.3.0-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * control: Bump the libwayland0 C/R to (<< 1.1.0) so that it covers
    the ubuntu version too, and add it to -cursor.

  [ Hector Oron ]
  * New upstream stable release (1.3.0).
  * Add myself to Uploaders.
  * Switch to Debian source format 3.0 quilt.
  * d/libwayland-dev.install:
    - install wayland documentation

 -- Hector Oron <zumbi@debian.org>  Fri, 11 Oct 2013 11:23:38 +0200

wayland (1.2.1-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream release (1.2.0).
  * Update symbols files and bump shlibs of libwayland-{client,server}0.
    - ABI break: libwayland-server0 removed several symbols used by
      weston releases prior to 1.2, add a Breaks to accommodate that.

  [ Emilio Pozuelo Monfort ]
  * New upstream stable release (1.2.1).
  * Add myself to Uploaders.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 08 Sep 2013 19:46:04 +0200

wayland (1.1.0-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 06 Jun 2013 23:22:34 +0200

wayland (1.1.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * debian/libwayland-client0.symbols
    debian/libwayland-server0.symbols:
    + Add a couple of new symbols.
  * debian/rules:
    + Bump SHVER accordingly.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 03 Jun 2013 08:44:14 +0200

wayland (1.0.5-2) experimental; urgency=low

  * Team upload.
  * Add missing conflict/replaces for the library split.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 21 May 2013 09:39:01 +0200

wayland (1.0.5-1) experimental; urgency=low

  * Team upload.

  [ Robert Ancell ]
  * debian/libwayland-dev.install:
    - Install development man pages
  * debian/control:
    - Build-depend on doxygen
    - Build-depend on xsltproc

  [ Timo Aaltonen ]
  * New upstream release.
  * Migrate to multiarch (Closes: #690081).
  * copyright: Refresh.
  * control: Update Standards-Version to 3.9.4, no changes.
  * rules: Make it non-fatal to fail the tests, which don't all succeed
    when ran in headless mode.
  * rules: Drop the creation of hard dependencies, wayland should be
    mostly API stable now.
  * rules: Drop dh_auto_install override.  dh_auto_install automatically
    installs to debian/tmp whenever there are multiple binary packages.
  * libwayland*.install: Add missing files.
  * rules: Temporarily disable installing the protocol docs, decide where
    to put them first.
  * Add README.source

  [ Sven Joachim ]
  * Update symbols file, bumping minver of all symbols to at least 1.0.2.
  * Add docbook-xsl to Build-Depends.
  * Add Homepage field to debian/control.
  * Update debian/copyright.

  [ Emilio Pozuelo Monfort ]
  * Split the shared libraries into separate packages.
  * Add Build-Depends-Package to symbol files.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 21 May 2013 00:34:22 +0200

=== debian/control ===
Source: wayland
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>,
           Héctor Orón Martínez <zumbi@debian.org>
Build-Depends:
 debhelper (>= 9),
 quilt,
 dh-autoreconf,
 pkg-config,
 doxygen,
 xsltproc,
 docbook-xsl,
 libexpat1-dev,
 libffi-dev,
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/git/pkg-xorg/wayland/wayland
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/wayland/wayland.git
Homepage: http://wayland.freedesktop.org/

Package: libwayland-client0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: libwayland0 (<< 1.1.0-1)
Replaces: libwayland0 (<< 1.1.0-1)
Description: wayland compositor infrastructure - client library
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package ships the library that implements the client side of
 the Wayland protocol.

Package: libwayland-client0-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libwayland-client0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: wayland compositor infrastructure - client library (debug)
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package provides debugging symbols for the libwayland-client0 package.

Package: libwayland-server0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: libwayland0 (<< 1.1.0-1)
Replaces: libwayland0 (<< 1.1.0-1)
Breaks: weston (<< 1.2.0)
Description: wayland compositor infrastructure - server library
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package ships the library that implements the server side of
 the Wayland protocol.

Package: libwayland-server0-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libwayland-server0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: wayland compositor infrastructure - server library (debug)
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package provides debugging symbols for the libwayland-server0 package.

Package: libwayland-cursor0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: libwayland0 (<< 1.1.0-1)
Replaces: libwayland0 (<< 1.1.0-1)
Description: wayland compositor infrastructure - cursor library
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package ships a helper library to manage cursors.

Package: libwayland-cursor0-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libwayland-cursor0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: wayland compositor infrastructure - cursor library (debug)
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package provides debugging symbols for the libwayland-cursor0 package.

Package: libwayland-dev
Section: libdevel
Architecture: any
Priority: extra
Depends:
 libwayland-client0 (= ${binary:Version}),
 libwayland-server0 (= ${binary:Version}),
 libwayland-cursor0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: wayland compositor infrastructure - development files
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package contains the development headers for the Wayland libraries.
 Non-developers likely have little use for this package.

Package: libwayland0
Section: oldlibs
Architecture: all
Priority: extra
Depends: libwayland-client0, libwayland-server0
Description: transitional dummy package
 This transitional dummy package is safe to remove.

=== debian/rules ===
#!/usr/bin/make -f

SOURCE=wayland

# Kill *.la files, and forget no-one:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -plibwayland-client0 \
		-V 'libwayland-client0 (>= 1.2.0)' -- -c4
	dh_makeshlibs -plibwayland-cursor0 \
		-V 'libwayland-cursor0 (>= 1.0.4)' -- -c4
	dh_makeshlibs -plibwayland-server0 \
		-V 'libwayland-server0 (>= 1.2.0)' -- -c4

# Debug package:
override_dh_strip:
	dh_strip -plibwayland-client0 --dbg-package=libwayland-client0-dbg
	dh_strip -plibwayland-cursor0 --dbg-package=libwayland-cursor0-dbg
	dh_strip -plibwayland-server0 --dbg-package=libwayland-server0-dbg
	dh_strip -a --remaining-packages

override_dh_auto_test:
	# the test suite does not pass completely in headless mode
	dh_auto_test || true

%:
	dh $@ --with quilt,autoreconf --builddirectory=build/

# For maintainer use only, generate a tarball:
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	git archive --format=tar upstream-experimental --prefix=$(SOURCE)-$(UV)/ | gzip -9 > ../$(SOURCE)_$(UV).orig.tar.gz

=== debian/watch ===
#git=git://anongit.freedesktop.org/wayland/wayland
version=3
http://wayland.freedesktop.org/releases/wayland-(.*)\.tar\.xz

## wayland 1.7.0-0ubuntu1

=== debian/changelog ===
wayland (1.7.0-0ubuntu1) vivid; urgency=medium

  * Sync from git.
  * Disable building -doc.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Feb 2015 08:59:32 +0200

wayland (1.7.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * control: Add xmlto and graphviz to build-depends to build the
    new documentation.
  * libwayland-doc: Add a new package for documentation files.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Feb 2015 12:48:10 +0200

wayland (1.6.1-2) experimental; urgency=medium

  * Rebuild against upstream tarball.

 -- Hector Oron <zumbi@debian.org>  Sat, 24 Jan 2015 10:39:19 +0100

wayland (1.6.1-1) experimental; urgency=medium

  * New bugfix upstream release:
    - documentation: fix several typoes.
    - scanner, client: several improvements.
    - tests: fix memory leak
  * d/control: update VCS URL
  * d/control: bump standards version, no changes needed.

 -- Hector Oron <zumbi@debian.org>  Wed, 24 Sep 2014 01:01:26 +0200

wayland (1.6.0-2) unstable; urgency=medium

  * Switch back to use upstream tarball.

 -- Hector Oron <zumbi@debian.org>  Tue, 23 Sep 2014 18:09:53 +0200

wayland (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Hector Oron <zumbi@debian.org>  Fri, 19 Sep 2014 16:28:13 +0200

wayland (1.5.93-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 16 Sep 2014 22:42:06 +0200

wayland (1.5.93-1) experimental; urgency=medium

  * New upstream development release.
  * Upload to experimental.

 -- Hector Oron <zumbi@debian.org>  Fri, 12 Sep 2014 16:17:43 +0200

wayland (1.5.91-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream development release.
  * Update debian/libwayland-client0.symbols with two additions
  * Update debian/libwayland-server0.symbols with one addition

  [ Emilio Pozuelo Monfort ]
  * Upload to experimental.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 05 Sep 2014 03:10:22 +0200

wayland (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch back to source format 1.0 for now.
  * debian/libwayland-dev.install:
    + Update path for wayland-scanner.pc.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 24 May 2014 02:54:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wayland
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Cyril Brulebois <kibi@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
            Héctor Orón Martínez <zumbi@debian.org>
@@ -12,13 +11,15 @@
  dh-autoreconf,
  pkg-config,
  doxygen,
+ graphviz,
+ xmlto,
  xsltproc,
  docbook-xsl,
  libexpat1-dev,
  libffi-dev,
-Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/git/pkg-xorg/wayland/wayland
-Vcs-Browser: http://git.debian.org/?p=pkg-xorg/wayland/wayland.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-xorg/wayland/wayland
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-xorg/wayland/wayland.git
 Homepage: http://wayland.freedesktop.org/
 
 Package: libwayland-client0
@@ -158,11 +159,3 @@
  .
  This package contains the development headers for the Wayland libraries.
  Non-developers likely have little use for this package.
-
-Package: libwayland0
-Section: oldlibs
-Architecture: all
-Priority: extra
-Depends: libwayland-client0, libwayland-server0
-Description: transitional dummy package
- This transitional dummy package is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 # Kill *.la files, and forget no-one:
 override_dh_install:
 	find debian/tmp -name '*.la' -delete
+	rm -r debian/tmp/usr/share/doc
 	dh_install --fail-missing
 
 override_dh_makeshlibs:

## wayland 1.14.0-1

=== debian/changelog ===
wayland (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * libwayland-{client,server}0.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Aug 2017 11:09:15 +0300

wayland (1.13.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #870566)
  * libwayland-server0.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Aug 2017 11:25:29 +0300

wayland (1.12.0-1) unstable; urgency=medium

  * New upstream release. Closes: #840752.
  * Update various links to https.
  * Verify upstream tarball signatures. Thanks Hideki Yamane.
  * Bump debhelper compat to 10.
    + debhelper now calls dh-autoreconf by default.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 07 Dec 2016 18:54:57 +0100

wayland (1.11.94-1) experimental; urgency=medium

  * New upstream pre-release.
  * Standards-Version is 3.9.8, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 14 Sep 2016 12:10:19 +0200

wayland (1.11.91-1) experimental; urgency=medium

  * New upstream pre-release

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 18 Aug 2016 17:18:52 +0200

wayland (1.11.0-2) unstable; urgency=medium

  * d/control: libwayland-dev depends on libwayland-bin
  * d/control: libwayland-bin replaces libwayland-dev

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 06 Jun 2016 11:28:46 +0200

wayland (1.11.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: make libwayland-dev multiarch aware
    - based on a patch from Dima Kogan.
    (Closes: #739400)
  * d/libwayland-client0.symbols: update with new symbols

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 02 Jun 2016 11:37:00 +0200

wayland (1.10.0-2) unstable; urgency=medium

  * Don't build the documentation on binary-arch only builds. Move the
    build-dependencies needed for the documentation to build-depends-indep.
    Closes: #821170.
  * Move the manpages to libwayland-doc.
  * Switch to dbgsym packages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 20 Apr 2016 21:38:58 +0200

wayland (1.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 31 Mar 2016 13:13:12 +0200

wayland (1.9.92-1) experimental; urgency=medium

  * New upstream release, experimental upload.

  [ Hideki Yamane ]
  * debian/control
    - add Build-Depends: libxml2-dev
  * update debian/libwayland-{client,server}0.symbols
  * update debian/watch (Closes: #813484)

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 04 Feb 2016 23:22:27 +0100

wayland (1.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 27 Sep 2015 00:08:11 +0200

wayland (1.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Hector Oron <zumbi@debian.org>  Sat, 13 Jun 2015 02:00:30 +0200

wayland (1.7.0-2) unstable; urgency=medium

  * Remove Cyril from Uploaders. Thanks for your past work!
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 27 May 2015 00:35:08 +0200

wayland (1.7.0-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * control: Add xmlto and graphviz to build-depends to build the
    new documentation.
  * libwayland-doc: Add a new package for documentation files.

  [ Hector Oron ]
  * Upload to experimental.

 -- Hector Oron <zumbi@debian.org>  Wed, 06 May 2015 12:35:23 +0200

=== debian/control ===
Source: wayland
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
           Héctor Orón Martínez <zumbi@debian.org>
Build-Depends:
 debhelper (>= 10),
 quilt,
 pkg-config,
 libexpat1-dev,
 libffi-dev,
 libxml2-dev,
Build-Depends-Indep:
 doxygen,
 graphviz,
 xmlto,
 xsltproc,
 docbook-xsl,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/wayland/wayland
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/wayland/wayland.git
Homepage: https://wayland.freedesktop.org/

Package: libwayland-client0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: libwayland0 (<< 1.1.0-1)
Replaces: libwayland0 (<< 1.1.0-1)
Description: wayland compositor infrastructure - client library
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package ships the library that implements the client side of
 the Wayland protocol.

Package: libwayland-server0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: libwayland0 (<< 1.1.0-1)
Replaces: libwayland0 (<< 1.1.0-1)
Breaks: weston (<< 1.2.0)
Description: wayland compositor infrastructure - server library
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package ships the library that implements the server side of
 the Wayland protocol.

Package: libwayland-cursor0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: libwayland0 (<< 1.1.0-1)
Replaces: libwayland0 (<< 1.1.0-1)
Description: wayland compositor infrastructure - cursor library
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package ships a helper library to manage cursors.

Package: libwayland-dev
Section: libdevel
Architecture: any
Priority: extra
Depends:
 libwayland-client0 (= ${binary:Version}),
 libwayland-server0 (= ${binary:Version}),
 libwayland-cursor0 (= ${binary:Version}),
 libwayland-bin (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Multi-Arch: same
Description: wayland compositor infrastructure - development files
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package contains the development headers for the Wayland libraries.
 Non-developers likely have little use for this package.

Package: libwayland-doc
Section: doc
Architecture: all
Priority: extra
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Conflicts: libwayland-dev (<< 1.10.0-2)
Replaces: libwayland-dev (<< 1.10.0-2)
Description: wayland compositor infrastructure - documentation files
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package contains the documentation for the Wayland libraries.
 Non-developers likely have little use for this package.

Package: libwayland-bin
Section: libdevel
Architecture: any
Priority: extra
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: libwayland-dev (<< 1.11.0-1)
Replaces: libwayland-dev (<< 1.11.0-1)
Multi-Arch: foreign
Description: wayland compositor infrastructure - binary utilities
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package contains the development binary utilities

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,13 @@
 
 SOURCE=wayland
 
+# Don't build the documentation when not building arch:all packages
+override_dh_auto_configure-arch:
+	dh_auto_configure -- --disable-documentation
+
 # Kill *.la files, and forget no-one:
 override_dh_install:
 	find debian/tmp -name '*.la' -delete
-	rm -r debian/tmp/usr/share/doc
 	dh_install --fail-missing
 
 override_dh_makeshlibs:
@@ -18,9 +21,9 @@
 
 # Debug package:
 override_dh_strip:
-	dh_strip -plibwayland-client0 --dbg-package=libwayland-client0-dbg
-	dh_strip -plibwayland-cursor0 --dbg-package=libwayland-cursor0-dbg
-	dh_strip -plibwayland-server0 --dbg-package=libwayland-server0-dbg
+	dh_strip -plibwayland-client0 --dbgsym-migration='libwayland-client0 (<< 1.10.0-2)'
+	dh_strip -plibwayland-cursor0 --dbgsym-migration='libwayland-cursor0 (<< 1.10.0-2)'
+	dh_strip -plibwayland-server0 --dbgsym-migration='libwayland-server0 (<< 1.10.0-2)'
 	dh_strip -a --remaining-packages
 
 override_dh_auto_test:
@@ -28,7 +31,7 @@
 	dh_auto_test || true
 
 %:
-	dh $@ --with quilt,autoreconf --builddirectory=build/
+	dh $@ --with quilt --builddirectory=build/
 
 # For maintainer use only, generate a tarball:
 gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')

=== debian/watch ===
#git=git://anongit.freedesktop.org/wayland/wayland
version=4
opts="pgpsigurlmangle=s%$%.sig%" \
https://wayland.freedesktop.org/releases/wayland-([\d].*)\.tar\.xz

## wayland 1.16.0

=== debian/changelog ===
wayland (1.16.0-deepin.1.0) unstable; urgency=medium

  * util: Limit size of wl_map

 -- diguoliang <diguoliang@uniontech.com>  Thu, 03 Nov 2022 14:34:55 +0800

wayland (1.16.0-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Update the watch file for the new upstream website layout.

  [ Salvatore Bonaccorso ]
  * Add debian/changelog entry for 1.14.0-2 (Closes: #903748)

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 05 Sep 2018 20:20:03 +0300

wayland (1.15.0-2) unstable; urgency=medium

  * debian/copyright: add missing copyright holders. Closes: #897362.
  * Update Vcs-* for salsa.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 May 2018 12:34:01 +0200

wayland (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Put wayland-egl-backend.* to a separate dev-package.
  * libwayland-egl1.symbols: Fixed.
  * control: Bump Breaks/Replaces on libegl1-mesa-dev, so that this can
    be synced to Ubuntu.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Apr 2018 10:41:38 +0300

wayland (1.14.93-1) experimental; urgency=medium

  * New upstrem release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Apr 2018 10:53:33 +0300

wayland (1.14.92-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream pre-release.
  * signing-keys.asc: Updated.
  * libwayland-dev.install: Drop static libs, they're not provided
    anymore.
  * libwayland-egl1.symbols: Updated.
  * control: Adjust Breaks/Provides for libwayland-egl migration.

  [ Héctor Orón Martínez ]
  * control: Fix uninstallability issues. (Closes: #893366)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 21 Mar 2018 21:42:58 +0200

wayland (1.14.91-1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Use wayland-scanner from libwayland-bin (Closes: #836687)
    - Fixes cross builds

  [ Héctor Orón Martínez ]
  * New upstream pre-release
  * debian/control: libwayland-dev suggests libwayland-doc (Closes: #857139)
  * debian/libwayland-server0.symbols: update
  * debian/control: update priority from extra to optional
  * libwayland-egl1: add new package
  * debian/control: bump standards version

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 13 Mar 2018 16:01:40 +0100

wayland (1.14.0-2) unstable; urgency=medium

  * debian/patches/CVE-2017-16612.patch: (Closes: #889681)
    - libXcursor before 1.1.15 has various integer overflows that could lead
      to heap buffer overflows when processing malicious cursors, e.g., with
      programs like GIMP. It is also possible that an attack vector exists
      against the related code in cursor/xcursor.c in Wayland through
      1.14.0.
  * switch back to use upstream tarball
  * debian/control: bump standards version, drop priority stanzas

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 04 Mar 2018 11:56:31 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,16 @@
  libexpat1-dev,
  libffi-dev,
  libxml2-dev,
+ libwayland-bin <cross>,
 Build-Depends-Indep:
  doxygen,
  graphviz,
  xmlto,
  xsltproc,
  docbook-xsl,
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/wayland/wayland
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/wayland/wayland.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/xorg-team/wayland/wayland.git
+Vcs-Browser: https://salsa.debian.org/xorg-team/wayland/wayland
 Homepage: https://wayland.freedesktop.org/
 
 Package: libwayland-client0
@@ -42,6 +43,28 @@
  .
  This package ships the library that implements the client side of
  the Wayland protocol.
+
+Package: libwayland-egl1
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Breaks: libwayland-egl1-mesa (<< 18.0.0~rc5-1)
+Replaces: libwayland-egl1-mesa (<< 18.0.0~rc5-1)
+Provides: libwayland-egl1-mesa
+Description: wayland compositor infrastructure - EGL library
+ Wayland is a protocol for a compositor to talk to its clients as well
+ as a C library implementation of that protocol. The compositor can be
+ a standalone display server running on Linux kernel modesetting and
+ evdev input devices, an X application, or a wayland client
+ itself. The clients can be traditional applications, X servers
+ (rootless or fullscreen) or other display servers.
+ .
+ This package ships the library that implements the Wayland EGL platform
+ of the Wayland protocol.
 
 Package: libwayland-server0
 Section: libs
@@ -88,14 +111,17 @@
 Package: libwayland-dev
 Section: libdevel
 Architecture: any
-Priority: extra
+Suggests: libwayland-doc
 Depends:
  libwayland-client0 (= ${binary:Version}),
  libwayland-server0 (= ${binary:Version}),
  libwayland-cursor0 (= ${binary:Version}),
+ libwayland-egl1 (= ${binary:Version}),
  libwayland-bin (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends},
+Breaks: libegl1-mesa-dev (<< 18.0.0-1),
+Replaces: libegl1-mesa-dev (<< 18.0.0-1),
 Multi-Arch: same
 Description: wayland compositor infrastructure - development files
  Wayland is a protocol for a compositor to talk to its clients as well
@@ -108,10 +134,30 @@
  This package contains the development headers for the Wayland libraries.
  Non-developers likely have little use for this package.
 
+Package: libwayland-egl-backend-dev
+Section: libdevel
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Breaks: libegl1-mesa-dev (<< 18.0.0-1),
+ libwayland-dev (<< 1.15.0)
+Replaces: libegl1-mesa-dev (<< 18.0.0-1),
+ libwayland-dev (<< 1.15.0)
+Multi-Arch: same
+Description: wayland compositor infrastructure - EGL backend development files
+ Wayland is a protocol for a compositor to talk to its clients as well
+ as a C library implementation of that protocol. The compositor can be
+ a standalone display server running on Linux kernel modesetting and
+ evdev input devices, an X application, or a wayland client
+ itself. The clients can be traditional applications, X servers
+ (rootless or fullscreen) or other display servers.
+ .
+ This package contains the development headers for the Wayland EGL backend.
+
 Package: libwayland-doc
 Section: doc
 Architecture: all
-Priority: extra
 Depends:
  ${misc:Depends},
 Multi-Arch: foreign
@@ -131,7 +177,6 @@
 Package: libwayland-bin
 Section: libdevel
 Architecture: any
-Priority: extra
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},

## wayland 1.16.0-1~bpo9+1

=== debian/changelog ===
wayland (1.16.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Boll <aboll@debian.org>  Mon, 22 Oct 2018 15:39:00 +0200

wayland (1.15.0-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Boll <aboll@debian.org>  Mon, 13 Aug 2018 19:16:07 +0200

## wayland 1.16.0-1ubuntu1

=== debian/changelog ===
wayland (1.16.0-1ubuntu1) cosmic; urgency=medium

  * control: Bump breaks/replaces on libwayland-egl-mesa/libegl1-mesa-
    dev, which got updated on Ubuntu.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Sep 2018 16:02:11 +0300

=== debian/control ===
--- 
+++ 
@@ -52,8 +52,8 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Breaks: libwayland-egl1-mesa (<< 18.0.0~rc5-1)
-Replaces: libwayland-egl1-mesa (<< 18.0.0~rc5-1)
+Breaks: libwayland-egl1-mesa (<< 18.0.5-0)
+Replaces: libwayland-egl1-mesa (<< 18.0.5-0)
 Provides: libwayland-egl1-mesa
 Description: wayland compositor infrastructure - EGL library
  Wayland is a protocol for a compositor to talk to its clients as well
@@ -120,8 +120,8 @@
  libwayland-bin (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends},
-Breaks: libegl1-mesa-dev (<< 18.0.0-1),
-Replaces: libegl1-mesa-dev (<< 18.0.0-1),
+Breaks: libegl1-mesa-dev (<< 18.0.5-0),
+Replaces: libegl1-mesa-dev (<< 18.0.5-0),
 Multi-Arch: same
 Description: wayland compositor infrastructure - development files
  Wayland is a protocol for a compositor to talk to its clients as well
@@ -140,9 +140,9 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Breaks: libegl1-mesa-dev (<< 18.0.0-1),
+Breaks: libegl1-mesa-dev (<< 18.0.5-0),
  libwayland-dev (<< 1.15.0)
-Replaces: libegl1-mesa-dev (<< 18.0.0-1),
+Replaces: libegl1-mesa-dev (<< 18.0.5-0),
  libwayland-dev (<< 1.15.0)
 Multi-Arch: same
 Description: wayland compositor infrastructure - EGL backend development files

## wayland 1.16.0-1ubuntu1.1~18.04.3

=== debian/changelog ===
wayland (1.16.0-1ubuntu1.1~18.04.3) bionic-security; urgency=medium

  * No change rebuild for the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 01 Feb 2020 11:52:32 -0500

wayland (1.16.0-1ubuntu1.1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 27 Nov 2018 21:43:07 +0200

wayland (1.16.0-1ubuntu1.1) cosmic; urgency=medium

  * control: Bump Breaks/Replaces again to match reality. (LP: #1781440)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 27 Nov 2018 21:41:23 +0200
